Subject: Re: Improved "tunnel is up" features.

From: Bill Fenner <[email-masked]>
Date: Tue, 22 Apr 1997 07:56:15 PDT

Actually, mrouted since 3.3 has had a part of this functionality.
In the mrouted.dump file, a vif will be marked as "one-way" if
a two-way peering isn't established.  mrouted 3.9 will be better
about logging messages and handling one-way peerings better.

  Bill

---

From: Arlie Davis <[email-masked]>
Date: Tue, 22 Apr 1997 13:21:20 -0700

No, implementing this would be rather easy.  An mrouted that is aware of
this sort of keep-alive would just occasionally send the mrouted
equivalent of a ping to the peer.  If the mrouted never receives a
response, it just assumes that the peer does not support the
keep-alives.  If the peer ever does respond, the mrouted sets a flag
indicating that the peer does support keep-alives, and from then on
keeps track of how long it has been since the peer returned a ping.

This is adaptive and requires no configuration at all, so it's
admin-proof.

-- arlie

> -----Original Message-----
> From:	dave pratt [SMTP:[email-masked]]
> Sent:	Tuesday, April 22, 1997 2:04 AM
> To:	mbone global list; Bill Fenner
> Subject:	Improved "tunnel is up" features.
> 
> This will be quite difficult with peers that have not been upgraded. 
> However, is there some "version number" or something similar in the
> present hello messages that could indicate that a reply token is
> needed/supported ? If this were not possible then I guess manual
> configuration in mrouted.conf could turn on this feature (once you
> know
> the neighbour has been upgraded).
> 
> What do people think ?
> 
> Cheers
> --------
> Usual Disclaimers apply.
> WWW - doesn't that stand for "Wait a Week Word" ?
>    Nope - It's Wait a Week Windows !
> Dave Pratt      (tel: +44 1473 643840 )
> [email-masked]
>